<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <import type="android.view.View" />

        <import type="android.text.TextUtils" />

        <variable
            name="viewModel"
            type="com.ttnfleetsolutions.ttnfleet.ui.fleet.eventdetails.EventDetailsViewModel" />

    </data>

    <android.support.design.widget.CoordinatorLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <android.support.v4.widget.NestedScrollView
            android:id="@+id/nestedScrollView"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <android.support.constraint.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingBottom="@dimen/content_margin">

                <!-- VEHICLE DETAILS -->

                <TextView
                    android:id="@+id/vehicleDetailsLabel"
                    style="@style/TextAppearance.Details.Heading"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:text="@string/vehical_details"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <ImageView
                    android:id="@+id/vehicleImage"
                    android:layout_width="0dp"
                    android:layout_height="0dp"
                    android:layout_marginStart="@dimen/content_margin"
                    android:background="@mipmap/pic_truck1"
                    android:contentDescription="TODO"
                    app:layout_constraintBottom_toBottomOf="@id/vinNo"
                    app:layout_constraintDimensionRatio="1"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="@id/vehicleName"
                    app:layout_constraintVertical_bias="0.0" />

                <TextView
                    android:id="@+id/vehicleName"
                    style="@style/TextAppearance.Text.Body1"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/content_margin"
                    android:layout_marginTop="@dimen/content_margin"
                    android:layout_marginEnd="@dimen/content_margin"
                    android:text="@={viewModel.vehicleName}"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintEnd_toStartOf="@id/datetime"
                    app:layout_constraintStart_toEndOf="@id/vehicleImage"
                    app:layout_constraintTop_toBottomOf="@id/vehicleDetailsLabel" />

                <TextView
                    android:id="@+id/vinNo"
                    style="@style/TextAppearance.Text.Body2"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/content_margin"
                    android:layout_marginEnd="@dimen/content_margin"
                    android:fontFamily="@font/regular"
                    android:text="@={viewModel.vin}"
                    app:layout_constraintBottom_toTopOf="@id/location"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toEndOf="@id/vehicleImage"
                    app:layout_constraintTop_toBottomOf="@id/vehicleName" />

                <TextView
                    android:id="@+id/location"
                    style="@style/TextAppearance.Text.Body1"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="@dimen/content_margin"
                    android:drawableStart="@drawable/ic_address"
                    android:drawablePadding="@dimen/drawable_padding"
                    android:fontFamily="@font/regular"
                    android:lines="1"
                    android:padding="@dimen/content_padding"
                    android:text="@={viewModel.address}"
                    android:visibility="@{TextUtils.isEmpty(viewModel.address) ? View.GONE : View.VISIBLE}"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/vehicleImage" />

                <TextView
                    android:id="@+id/datetime"
                    style="@style/TextAppearance.Text.Time"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/content_margin"
                    android:layout_marginEnd="@dimen/content_margin"
                    android:fontFamily="@font/regular"
                    android:paddingTop="@dimen/content_padding_1"
                    android:paddingBottom="@dimen/content_padding_1"
                    android:text="@={viewModel.updatedTime}"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintTop_toTopOf="@id/vehicleName" />

                <!-- BREAKDOWN REPORT -->

                <TextView
                    android:id="@+id/breakdownReportLabel"
                    style="@style/TextAppearance.Details.Heading"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/content_margin"
                    android:text="@string/event_details"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/location" />

                <TextView
                    android:id="@+id/eventType"
                    style="@style/TextAppearance.Text.Body1"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/content_margin"
                    android:layout_marginTop="@dimen/content_margin"
                    android:layout_marginEnd="@dimen/content_margin"
                    android:text="@string/event_type"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/breakdownReportLabel" />

                <TextView
                    android:id="@+id/serviceIssue"
                    style="@style/TextAppearance.Text.Body1"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/content_padding_1"
                    android:text="@={viewModel.eventType}"
                    android:textColor="@color/gray_normal"
                    app:layout_constraintEnd_toEndOf="@id/eventType"
                    app:layout_constraintStart_toStartOf="@id/eventType"
                    app:layout_constraintTop_toBottomOf="@id/eventType" />

                <TextView
                    android:id="@+id/description"
                    style="@style/TextAppearance.Text.Body1"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/content_margin"
                    android:text="@string/breakdown_note"
                    android:visibility="@{TextUtils.isEmpty(viewModel.breakdownType) ? View.GONE : View.VISIBLE}"
                    app:layout_constraintEnd_toEndOf="@id/eventType"
                    app:layout_constraintStart_toStartOf="@id/eventType"
                    app:layout_constraintTop_toBottomOf="@id/serviceIssue" />

                <TextView
                    android:id="@+id/issueDescription"
                    style="@style/TextAppearance.Text.Body1"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/content_padding_1"
                    android:text="@={viewModel.breakdownType}"
                    android:textColor="@color/gray_normal"
                    android:visibility="@{TextUtils.isEmpty(viewModel.breakdownType) ? View.GONE : View.VISIBLE}"
                    app:layout_constraintEnd_toEndOf="@id/eventType"
                    app:layout_constraintStart_toStartOf="@id/eventType"
                    app:layout_constraintTop_toBottomOf="@id/description" />

                <TextView
                    android:id="@+id/truckLoadType"
                    style="@style/TextAppearance.Text.Body1"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/content_margin"
                    android:text="@string/truck_load_type"
                    android:visibility="@{TextUtils.isEmpty(viewModel.loadType) ? View.GONE : View.VISIBLE}"
                    app:layout_constraintEnd_toEndOf="@id/eventType"
                    app:layout_constraintStart_toStartOf="@id/eventType"
                    app:layout_constraintTop_toBottomOf="@id/issueDescription" />

                <TextView
                    android:id="@+id/truckLoadTypeValue"
                    style="@style/TextAppearance.Text.Body1"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/content_padding_1"
                    android:text="@={viewModel.loadType}"
                    android:textColor="@color/gray_normal"
                    android:visibility="@{TextUtils.isEmpty(viewModel.loadType) ? View.GONE : View.VISIBLE}"
                    app:layout_constraintEnd_toEndOf="@id/eventType"
                    app:layout_constraintStart_toStartOf="@id/eventType"
                    app:layout_constraintTop_toBottomOf="@id/truckLoadType" />

                <TextView
                    android:id="@+id/RTA"
                    style="@style/TextAppearance.Text.Body1"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/content_margin"
                    android:text="@string/rta_hint"
                    android:visibility="@{TextUtils.isEmpty(viewModel.RTA) ? View.GONE : View.VISIBLE}"
                    app:layout_constraintEnd_toEndOf="@id/eventType"
                    app:layout_constraintStart_toStartOf="@id/eventType"
                    app:layout_constraintTop_toBottomOf="@id/truckLoadTypeValue" />

                <TextView
                    android:id="@+id/RTAValue"
                    style="@style/TextAppearance.Text.Body1"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/content_padding_1"
                    android:text="@={viewModel.RTA}"
                    android:textColor="@color/gray_normal"
                    android:visibility="@{TextUtils.isEmpty(viewModel.RTA) ? View.GONE : View.VISIBLE}"
                    app:layout_constraintEnd_toEndOf="@id/eventType"
                    app:layout_constraintStart_toStartOf="@id/eventType"
                    app:layout_constraintTop_toBottomOf="@id/RTA" />

                <TextView
                    android:id="@+id/RTC"
                    style="@style/TextAppearance.Text.Body1"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/content_margin"
                    android:text="@string/rtc_hint"
                    android:visibility="@{TextUtils.isEmpty(viewModel.RTC) ? View.GONE : View.VISIBLE}"
                    app:layout_constraintEnd_toEndOf="@id/eventType"
                    app:layout_constraintStart_toStartOf="@id/eventType"
                    app:layout_constraintTop_toBottomOf="@id/RTAValue" />

                <TextView
                    android:id="@+id/RTCValue"
                    style="@style/TextAppearance.Text.Body1"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/content_padding_1"
                    android:text="@={viewModel.RTC}"
                    android:textColor="@color/gray_normal"
                    android:visibility="@{TextUtils.isEmpty(viewModel.RTC) ? View.GONE : View.VISIBLE}"
                    app:layout_constraintEnd_toEndOf="@id/eventType"
                    app:layout_constraintStart_toStartOf="@id/eventType"
                    app:layout_constraintTop_toBottomOf="@id/RTC" />

                <TextView
                    android:id="@+id/workOrderLabel"
                    style="@style/TextAppearance.Details.Heading"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/content_margin"
                    android:text="@string/work_order"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/RTCValue" />

                <android.support.v7.widget.RecyclerView
                    android:id="@+id/workOrderRecyclerView"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    app:layout_constraintEnd_toEndOf="@id/eventType"
                    app:layout_constraintStart_toStartOf="@id/eventType"
                    app:layout_constraintTop_toBottomOf="@id/workOrderLabel" />

                <TextView
                    android:id="@+id/editedByTechnicianLabel"
                    style="@style/TextAppearance.Details.SubHeading"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/content_margin"
                    android:text="@string/repair_required_after_inspection_edited_by_technician"
                    android:visibility="gone"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/workOrderRecyclerView" />

                <android.support.v7.widget.RecyclerView
                    android:id="@+id/tasksRecyclerView"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:visibility="gone"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/editedByTechnicianLabel" />

                <View
                    android:id="@+id/effortsBackground"
                    android:layout_width="0dp"
                    android:layout_height="0dp"
                    android:background="#F0FFF0"
                    android:visibility="gone"
                    app:layout_constraintBottom_toBottomOf="@id/totalTime"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="@id/totalTime" />

                <TextView
                    android:id="@+id/totalTime"
                    style="@style/TextAppearance.Text.Body1"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:fontFamily="@font/medium"
                    android:padding="@dimen/content_margin"
                    android:text="Total Time (H) : 4.30"
                    android:visibility="gone"
                    app:layout_constraintEnd_toStartOf="@+id/totalCost"
                    app:layout_constraintHorizontal_chainStyle="spread_inside"
                    app:layout_constraintStart_toStartOf="@id/serviceIssue"
                    app:layout_constraintTop_toBottomOf="@id/tasksRecyclerView" />

                <TextView
                    android:id="@+id/totalCost"
                    style="@style/TextAppearance.Text.Body1"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:fontFamily="@font/medium"
                    android:padding="@dimen/content_margin"
                    android:text="Total Cost : $1600"
                    android:visibility="gone"
                    app:layout_constraintBottom_toBottomOf="@+id/totalTime"
                    app:layout_constraintEnd_toEndOf="@id/serviceIssue"
                    app:layout_constraintStart_toEndOf="@+id/totalTime"
                    app:layout_constraintTop_toTopOf="@+id/totalTime" />
                <!-- <LinearLayout
                     android:id="@+id/totalCostTimeLayout"
                     android:layout_width="0dp"
                     android:layout_height="wrap_content"
                     android:background="@color/tr_gray3"
                     android:padding="@dimen/content_margin"
                     app:layout_constraintEnd_toEndOf="@id/serviceIssue"
                     app:layout_constraintStart_toStartOf="@id/serviceIssue"
                     app:layout_constraintTop_toBottomOf="@id/tasksRecyclerView">

                     <TextView
                         style="@style/TextAppearance.Text.Body1"
                         android:layout_width="0dp"
                         android:layout_height="wrap_content"
                         android:layout_weight="1"
                         android:fontFamily="@font/medium"
                         android:text="Total Time (H) : 4.30" />

                     <TextView
                         style="@style/TextAppearance.Text.Body1"
                         android:layout_width="0dp"
                         android:layout_height="wrap_content"
                         android:layout_weight="1"
                         android:fontFamily="@font/medium"
                         android:gravity="end"estimationDetailsLabel
                         android:text="Total Cost : $1600"
                         android:textSize="@dimen/textsize_body" />
                 </LinearLayout>-->

                <TextView
                    android:id="@+id/additionalJobLabel"
                    style="@style/TextAppearance.Text.Body1"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/content_margin"
                    android:text="@string/additional_jobs"
                    android:textColor="@color/colorPrimary"
                    android:visibility="gone"
                    app:layout_constraintEnd_toEndOf="@id/serviceIssue"
                    app:layout_constraintStart_toStartOf="@id/serviceIssue"
                    app:layout_constraintTop_toBottomOf="@id/effortsBackground" />

                <android.support.v7.widget.RecyclerView
                    android:id="@+id/additionalJobRecyclerView"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/content_margin"
                    android:visibility="gone"
                    app:layout_constraintEnd_toEndOf="@id/serviceIssue"
                    app:layout_constraintStart_toStartOf="@id/serviceIssue"
                    app:layout_constraintTop_toBottomOf="@id/additionalJobLabel" />

                <!-- ESTIMATION DETAILS -->

                <TextView
                    android:id="@+id/estimationDetailsLabel"
                    style="@style/TextAppearance.Details.Heading"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/content_margin"
                    android:text="@string/estimation_details"
                    android:visibility="gone"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/additionalJobRecyclerView" />

                <android.support.v7.widget.RecyclerView
                    android:id="@+id/estimationDetailsRecyclerView"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:visibility="gone"
                    app:layout_constraintEnd_toEndOf="@id/serviceIssue"
                    app:layout_constraintStart_toStartOf="@id/serviceIssue"
                    app:layout_constraintTop_toBottomOf="@id/estimationDetailsLabel" />

                <!-- SERVICE DISPATCHER DETAILS -->

                <TextView
                    android:id="@+id/serviceProviderDetailsLabel"
                    style="@style/TextAppearance.Details.Heading"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/content_margin"
                    android:text="@string/service_provider_details"
                    android:visibility="gone"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/estimationDetailsRecyclerView" />

                <TextView
                    android:id="@+id/serviceDispatcherName"
                    style="@style/TextAppearance.Text.Body1"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/content_margin"
                    android:text="Name : Gulf Coast Auto &amp; Truck Repair"
                    android:visibility="gone"
                    app:layout_constraintEnd_toEndOf="@id/serviceIssue"
                    app:layout_constraintStart_toStartOf="@id/serviceIssue"
                    app:layout_constraintTop_toBottomOf="@id/serviceProviderDetailsLabel" />

                <TextView
                    android:id="@+id/technicianDetails"
                    style="@style/TextAppearance.Text.Body1"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/content_margin"
                    android:autoLink="phone"
                    android:text="Technician: Mike Ross +1-541-754-3010"
                    android:visibility="gone"
                    app:layout_constraintEnd_toEndOf="@id/serviceIssue"
                    app:layout_constraintStart_toStartOf="@id/serviceIssue"
                    app:layout_constraintTop_toBottomOf="@id/serviceDispatcherName" />

                <!-- STATUS DETAILS -->

                <TextView
                    android:id="@+id/statusDetailsLabel"
                    style="@style/TextAppearance.Details.Heading"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/content_margin"
                    android:text="@string/status_details"
                    android:visibility="gone"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/technicianDetails" />

                <android.support.v7.widget.RecyclerView
                    android:id="@+id/timelineRecyclerView"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/content_margin"
                    android:paddingBottom="@dimen/timeline_bottom_padding"
                    android:visibility="gone"
                    app:layout_constraintEnd_toEndOf="@id/serviceIssue"
                    app:layout_constraintStart_toStartOf="@id/serviceIssue"
                    app:layout_constraintTop_toBottomOf="@id/statusDetailsLabel" />
            </android.support.constraint.ConstraintLayout>
        </android.support.v4.widget.NestedScrollView>

        <android.support.design.widget.FloatingActionButton
            android:id="@+id/chatFloatingActionButton"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="end|bottom"
            android:layout_marginEnd="@dimen/fab_margin"
            android:layout_marginBottom="@dimen/fab_margin"
            android:src="@drawable/ic_action_chat_1" />

        <TextView
            android:id="@+id/status"
            style="@style/TextAppearance.Details.Status"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="end"
            android:text="@={viewModel.status}"
            app:statusBackgroundColor="@{viewModel.statusId}" />

    </android.support.design.widget.CoordinatorLayout>
</layout>